# NOTE: Derived from blib/lib/WiKicker/WikiCGI/Page.pm.
# Changes made here will be lost when autosplit again.
# See AutoSplit.pm.
package WiKicker::WikiCGI::Page;

#line 159 "blib/lib/WiKicker/WikiCGI/Page.pm (autosplit into blib/lib/auto/WiKicker/WikiCGI/Page/_search.al)"
sub _search {
  my ($self, $name) = @_;

  my $case_sensitive = 0;
  if ($name =~ /[A-Z]/) {
    $case_sensitive = 1;
  }

  my $db = $self->db;

  my @result;
  for my $target_page ($db->page_list) {

    if ($case_sensitive) {
      if (index($target_page, $name) >= 0) {
        push(@result, $target_page);
        next;
      }
      
      my $target_page_content = $db->page($target_page);
      if (index($target_page_content, $name) >= 0) {
        push(@result, $target_page);
      }
    }
    else {
      if ($target_page =~ /\Q$name\E/i) {
        push(@result, $target_page);
        next;
      }
      
      my $target_page_content = $db->page($target_page);
      if ($target_page_content =~ /\Q$name\E/i) {
        push(@result, $target_page);
      }
    }
  }
  return @result;
}

# end of WiKicker::WikiCGI::Page::_search
1;
