# NOTE: Derived from blib/lib/WiKicker/WikiCGI/View/HTML.pm.
# Changes made here will be lost when autosplit again.
# See AutoSplit.pm.
package WiKicker::WikiCGI::View::HTML;

#line 864 "blib/lib/WiKicker/WikiCGI/View/HTML.pm (autosplit into blib/lib/auto/WiKicker/WikiCGI/View/HTML/make_html_fragment_from_document_node.al)"
sub make_html_fragment_from_document_node {
  my ($self, $document_node, $flush, $no_edit_section, $no_automatic_link) = @_;
  my $visitor;
  if ($self->stylesheet_type eq 'tDiary') {
    $visitor = WiKicker::WikiPage::tDiaryFragmentVisitor->new;
  }
  else {
    $visitor = WiKicker::WikiPage::HtmlFragmentVisitor->new;
  }

  my $env = WiKicker::WikiPage::HtmlEnv
    ->new(user => $self->request->user,
          resolver => $self->request->environment->resolver,
          wikicker_url => $self->request->url,
          wri_factory => $self->request->configuration->create_wri_factory,
          configuration => $self->request->configuration,
          environment => $self->request->environment,
          query => $self->request->query,
          page_name => $self->request->name);

  $visitor->env($env);
  $visitor->no_edit_section($no_edit_section);
  $visitor->no_automatic_link($no_automatic_link);
  if ($flush) {
    $visitor->flush_closure(sub { print shift; });
  }

  $visitor->visit($document_node);
  #warn "Make Wiki HTML Time: " . tv_interval($start_time) . "s";

  #IFDEBUG: WiKicker::total_size("HtmlFragmentVisitor", $visitor);
  return $visitor->content;
}

# end of WiKicker::WikiCGI::View::HTML::make_html_fragment_from_document_node
1;
